function onTalk()
    disableMovement()
    local dialog_choice=1
    say("A_START_GOTO_END")
    dialog_choice=choice("A_START_GOTO_END_ANSWER1","A_START_GOTO_END_ANSWER2")
    if dialog_choice==1 then
        teleportTo(-236,1019,"A_SIDE_BOSSPATH_1","WakeUp")
        enableMovement()
    end
end
function onEnd()
    enableMovement()
end